<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Semantic Tags</title>
</head>
<style>
    @import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    body {
        width: 100%;
        height: 1200px;
        padding: 1%;
        font-family: 'Poppins', sans-serif;
        font-size: 20px;
        background-color: #fff;
    }

    .container {
        display: grid;
        grid-template-areas:
            "header header header"
            "main main navigation"
            "main main aside"
            "footer footer footer";
        /* grid-template-columns: 1fr 1fr 1fr; */
        grid-template-rows: 20% 5% 65% 10%;
        column-gap: 10px;
        row-gap: 16px;
        height: 95%;
    }

    .container * {
        border-radius: 10px;
        padding: 10px;
    }

    .header {
        grid-area: header;
        background-color: #df5c53;
    }

    .navigation {
        grid-area: navigation;
        background-color: #eafa73;
    }

    .aside {
        grid-area: aside;
        background-color: #13b6c5;
    }

    .main {
        grid-area: main;
        background-color: #3993DD;
        height: 100%;
        padding: 10px;
    }

    .article {
        background-color: #44CF6C;
        margin: 10px;
        height: 20rem;
    }

    .second-article {
        height: 27%;
    }

    .section {
        background-color: #A9FDAC;
        margin: 10px;
        height: 5rem;
    }

    .footer-main {
        background-color: #E0ACD5;
    }

    .footer {
        grid-area: footer;
        background-color: #E0ACD5;
    }
</style>

<body>
    <div class="container">
        <div class="header">&lt;header&gt;</div>
        <div class="navigation">&lt;nav&gt;</div>
        <div class="aside">&lt;aside&gt;</div>
        <div class="main">
            &lt;main&gt;
            <div class="article">&lt;article&gt;
                <div class="section">&lt;section&gt;</div>
                <div class="section">&lt;section&gt;</div>
                <div class="section">&lt;section&gt;</div>
            </div>
            <div class="article second-article">&lt;article&gt;
            </div>
            <div class="footer-main">&lt;footer&gt; main</div>
        </div>
        <div class="footer">&lt;footer&gt; page</div>
    </div>

</body>

</html>